
# 
#   ______                           __        ____    _      __  __     
#  / ___(_)__ ___ _  ___  ___ ____  / /__     / __/___(_)_ __/ /_/ /____ 
# / (_ / / _ `/  ' \/ _ \/ _ `/ _ \/ / _ \   _\ \/ __/ / // / __/ __/ _ \
# \___/_/\_,_/_/_/_/ .__/\_,_/\___/_/\___/  /___/\__/_/\_,_/\__/\__/\___/
#                 /_/                                                   
# http://www.giampaolo-sciutto.it/


# Name : ActiveComputers_GS.ps1
# Purpose: Get active computer accounts from active directory by 
# checking the last logon date. Get the propoerties of computer
# account (name,OS,OSverion,lastlogondate and CanonicalName)
# and save it to ActiveComputers.csv file.
#
# Modify by Giampaolo Sciutto
# Date written: 30/03/2016
#

Import-Module ActiveDirectory

# get today's date
$today = Get-Date

#Get today - 5 anni (5 Years)
$cutoffdate = $today.AddDays(-1825)

#Get the computer accounts filtered by lastlogondate. Select
#only required properites of the computer account and
#export it to a file

Get-ADComputer  -Properties * -Filter {LastLogonDate -gt $cutoffdate} | `
Select Name,OperatingSystem,OperatingSystemVersion,LastLogonDate,CanonicalName | `
Export-Csv ./ActiveComputers.csv